%define oname xfce4-volstatus-icon
%define __libtoolize true

Summary:	This applicaion help safely mount/eject media
Name:		xfce-volstatus-icon
Version:	0.1.0
Release:	%mkrel 2
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-volstatus-icon
Source0:	http://goodies.xfce.org/releases/xfce4-volstatus-icon/%{oname}-%{version}.tar.bz2
Source1:	%{oname}.desktop
BuildRequires:	libxfcegui4-devel >= 4.4.1
BuildRequires:	libglib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	exo-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This application help safely mount/eject media.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

mkdir -p %{buildroot}%{_sysconfdir}/X11/xdg/autostart
install %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xdg/autostart

%find_lang %{oname}

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/%{oname}
%{_sysconfdir}/X11/xdg/autostart/*.desktop


%changelog
* Sun Jun 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-2mdv2007.1
+ Revision: 34798
- add desktop file
- make it autostarts on every xfce login

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 33486
- Import xfce-volstatus-icon

